QuantLib: EurodollarFuturesImpliedStdDevQuote Class Reference

A free/open-source library for quantitative finance Reference manual - version 1.20

Public Member Functions | List of all members
EurodollarFuturesImpliedStdDevQuote Class Reference

quote for the Eurodollar-future implied standard deviation More...

`#include <ql/quotes/eurodollarfuturesquote.hpp>`

Inheritance diagram for EurodollarFuturesImpliedStdDevQuote:
[legend]

## Public Member Functions
| EurodollarFuturesImpliedStdDevQuote (const Handle< Quote > &forward, const Handle< Quote > &callPrice, const Handle< Quote > &putPrice, Real strike, Real guess=.15, Real accuracy=1.0e-6, Natural maxIter=100)
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()
Public Member Functions inherited from LazyObject
void | update ()
void | recalculate ()
void | freeze ()
void | unfreeze ()
void | alwaysForwardNotifications ()
Public Member Functions inherited from Observer
| Observer (const Observer &)
Observer & | operator= (const Observer &)
std::pair< iterator, bool > | registerWith (const ext::shared_ptr< Observable > &)
void | registerWithObservables (const ext::shared_ptr< Observer > &)
Size | unregisterWith (const ext::shared_ptr< Observable > &)
void | unregisterWithAll ()
virtual void | deepUpdate ()

## Quote interface
Real | impliedStdev_
Real | strike_
Real | accuracy_
Natural | maxIter_
Handle< Quote > | forward_
Handle< Quote > | callPrice_
Handle< Quote > | putPrice_
Real | value () const
| returns the current value
bool | isValid () const
| returns true if the Quote holds a valid value
void | performCalculations () const

## Additional Inherited Members
Public Types inherited from Observer
typedef boost::unordered_set< ext::shared_ptr< Observable > > | set_type
typedef set_type::iterator | iterator
Protected Member Functions inherited from LazyObject
virtual void | calculate () const
Protected Attributes inherited from LazyObject
bool | calculated_
bool | frozen_
bool | alwaysForward_

## Detailed Description

quote for the Eurodollar-future implied standard deviation

## Member Function Documentation

## ◆ performCalculations()

void performCalculations | ( |  | ) | const
| protectedvirtual

This method must implement any calculations which must be (re)done in order to calculate the desired results.

Implements LazyObject.